﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace GraphicalObjectFile
{
    /// <summary>
    /// Interaction logic for AddEntityDialog.xaml
    /// </summary>
    public partial class AddEntityDialog : Window
    {
        public GraphicalObject GraphicalEntity { get; internal set; }

        public AddEntityDialog()
        {
            InitializeComponent();
        }

        
        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            if (CheckInputs())
            {
                GraphicalEntity = new GraphicalObject();
                GraphicalEntity.X= UInt16.Parse(XBox.Text);
                GraphicalEntity.Y = UInt16.Parse(DYBox.Text);
                GraphicalEntity.DX = UInt16.Parse(DXBox.Text);
                GraphicalEntity.DY = UInt16.Parse(DYBox.Text);
                GraphicalEntity.Type = (EntityType)EntityTypeBox.SelectedIndex;
                DialogResult = true;
            }
        }

        private bool CheckInputs()
        {
            return XBox.Text!="" && YBox.Text!= "" && DXBox.Text!="" && DYBox.Text!= ""
                && EntityTypeBox.SelectedIndex>=0;
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }
    }
}
